package fr.username404.snowygui.gui.feature

import com.mojang.blaze3d.vertex.PoseStack
import fr.username404.snowygui.Snowy.Companion.onEvent
import fr.username404.snowygui.gui.FontUtil
import kotlinx.datetime.TimeZone
import kotlinx.datetime.toLocalDateTime
import kotlinx.datetime.Clock as DatetimeClock

@ButtonInfo(Category.MISC)
object Clock: ButtonImpl() {
    private val currentTimezone = TimeZone.currentSystemDefault()
    init {
        onEvent("HudRender") {
            if (toggled) {
                with(DatetimeClock.System.now().toLocalDateTime(currentTimezone)) {
                    FontUtil.drawScaled(it.first() as PoseStack,
                        "$hour:$minute:${second.let { if (it >= 10) it else "0$it" }}",
                        5.0, 5.0,
                        0.85F, color = Colors.GOLD
                    )
                }
            }
        }
    }
}
