repositories {
    maven {
        url = uri("https://maven.terraformersmc.com/releases")
        content { includeGroup("com.terraformersmc") }
    }
}

object Groups {
    const val Fabric: String = "net.fabricmc"
    const val FabricApi: String = "$Fabric.fabric-api"
}

architectury { platformSetupLoomIde(); fabric() }

dependencies {
    modImplementation("${Groups.Fabric}:fabric-loader:${rootProject.property("fabric_loader_version")}")
    include(modApi("${Groups.FabricApi}:fabric-rendering-v1:${rootProject.property("fabric_rendering_api_version")}")!!)
    include(modApi("${Groups.FabricApi}:fabric-api-base:${rootProject.property("fabric_api_base_version")}")!!)
    modApi("me.shedaniel.cloth:cloth-config-fabric:${rootProject.property("clothconfig_version")}") { exclude(group = Groups.FabricApi) }
    include(modRuntime("${Groups.FabricApi}:fabric-resource-loader-v0:${rootProject.property("fabric_resource_loader_version")}")!!)
    modImplementation(group = "net.fabricmc", name = "fabric-language-kotlin", version = rootProject.property("fabric_language_kotlin") as String)
    listOf("net.oneandone.reflections8:reflections8:0.11.7", "org.javassist:javassist:3.28.0-GA").forEach { implementation(it); shadowC(it) { isTransitive = false } }
    modRuntime(modCompileOnly("com.terraformersmc:modmenu:${rootProject.property("modmenu_version")}") {
        exclude(group = Groups.FabricApi, module = "fabric-api-base")
        exclude(group = Groups.FabricApi, module = "fabric-resource-loader-v0")
    })
    implementation(project(path = ":common")) { isTransitive = false }
    add("developmentFabric", project(path = ":common")) { isTransitive = false }
    shadowC(project(path = ":common", configuration = "transformProductionFabric")) { isTransitive = false }
}

